Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.plaf.windows
Class ExtWindowsButtonUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.ButtonUI
              javax.swing.plaf.basic.BasicButtonUI
                  com.sun.java.swing.plaf.windows.WindowsButtonUI
                      com.jgoodies.plaf.windows.ExtWindowsButtonUI

public final class ExtWindowsButtonUI
extends com.sun.java.swing.plaf.windows.WindowsButtonUI

The JGoodies Windows look&feel implementation of `ButtonUI`.

It differs from its superclass in that it it listens to the `jgoodies.isNarrow` property to choose an appropriate margin.

Author:
  Karsten Lentzsch

Field Summary

Fields inherited from class com.sun.java.swing.plaf.windows.WindowsButtonUI
`dashedRectGapHeight, dashedRectGapWidth, dashedRectGapX, dashedRectGapY, focusColor`

Fields inherited from class javax.swing.plaf.basic.BasicButtonUI
`defaultTextIconGap, defaultTextShiftOffset`

Constructor Summary
`ExtWindowsButtonUI()`

Method Summary
`static ComponentUI` | `createUI(JComponent b)`
`protected void` | `installDefaults(AbstractButton b)` Installs defaults and honors the client property `isNarrow`.
`void` | `installListeners(AbstractButton b)` Installs an extra listener for a change of the isNarrow property.
`void` | `uninstallListeners(AbstractButton b)` Uninstalls the extra listener for a change of the isNarrow property.

Methods inherited from class com.sun.java.swing.plaf.windows.WindowsButtonUI
`createButtonListener, getFocusColor, getPreferredSize, paint, paintButtonPressed, paintFocus, paintText, uninstallDefaults`

Methods inherited from class javax.swing.plaf.basic.BasicButtonUI
`clearTextShiftOffset, getDefaultTextIconGap, getMaximumSize, getMinimumSize, getPropertyPrefix, getTextShiftOffset, installKeyboardActions, installUI, paintIcon, paintText, setTextShiftOffset, uninstallKeyboardActions, uninstallUI`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtWindowsButtonUI

    public ExtWindowsButtonUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent b)

### installDefaults

    protected void installDefaults(AbstractButton b)

  Installs defaults and honors the client property `isNarrow`.

### installListeners

    public void installListeners(AbstractButton b)

  Installs an extra listener for a change of the isNarrow property.

### uninstallListeners

    public void uninstallListeners(AbstractButton b)

  Uninstalls the extra listener for a change of the isNarrow property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 JGoodies Karsten Lentzsch. All Rights Reserved.